// class code 6
// target drawing program with wrapping and bouncing
// copyright ...
float tx, ty, td, txSpeed;
float px, py, pSize, pxSpeed;

PImage p;

void setup( )
{
  size( 400, 400 ); 
  tx = 0;
  ty = random( height );
  td = 60;
  txSpeed = 2;
  
  p = loadImage( "Jim.jpg");
  imageMode( CENTER );
  
  px = 100;
  py = random( height );
  pSize = 80;
  pxSpeed = 1;
}

void draw( )
{
   prepWindow( );
   moveTarget( );
   drawTarget( tx, ty, td );
   drawImage( px, py, pSize);
   moveImage( );
}

void moveImage( )
{
   px = px + pxSpeed; 
   if ( px > width ) // too far right?
   {
     pxSpeed = -pxSpeed;  // move left
   }
   else if( px < 0 )  // too far left
   {
     pxSpeed = -pxSpeed;  // move right
   }
}

void drawImage( float px, float py, float pSize)
{
   fill( 0, 0, 255 );
   ellipse( px, py, pSize*1.5, pSize*1.5);
   image( p, px, py, pSize, pSize);
   
    
}

void prepWindow( )
{
  fill( 255, 10 );
  rect( 0, 0, width, height );
}
void moveTarget( )
{
  tx = tx  + txSpeed;
  if( tx > width + td*.50 )  //  is the target too far to the right?
  {
    tx = -td*.50;  // move it back to the left side
  }
}

void drawTarget( float x, float y, float d)
{
  fill( 255, 0, 0);
  ellipse( x, y, d, d );
  fill( 0, 255, 0 );
  ellipse( x, y, d*.66, d*.66 );
  fill( 0, 0, 255 );
  ellipse( x, y, d*.33, d*.33 );
  
}
